Index: kernel/utility/debugger.php
===================================================================
--- kernel/utility/debugger.php	(revision 14826)
+++ kernel/utility/debugger.php	(working copy)
@@ -265,9 +265,9 @@
 				// check IP before enabling debug mode
 				$ip_match =  DebuggerUtil::ipMatch(isset($dbg_options['DBG_IP']) ? $dbg_options['DBG_IP'] : '');
 
-				if (!$ip_match) {
+				if ( !$ip_match || (isset($_COOKIE['debug_off']) && $_COOKIE['debug_off']) ) {
 					define('DEBUG_MODE', 0);
-					return ;
+					return;
 				}
 
 				// debug is allowed for user, continue initialization
@@ -293,7 +293,7 @@
 
 				unset($dbg_options['DBG_IP']);
 
-				// Detect fact, that this session beeing debugged by Zend Studio
+				// Detect fact, that this session being debugged by Zend Studio
 				foreach ($_COOKIE as $cookie_name => $cookie_value) {
 					if (substr($cookie_name, 0, 6) == 'debug_') {
 						DebuggerUtil::safeDefine('DBG_ZEND_PRESENT', 1);
